# bitfront-library

Angular CLI project with components and classes used by other Angular projects of the BIT foundation.

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 1.6.3.

## installing the sample (via Yarn)

update package.json of the client project to include this library and install:

```bash
    ``` 
    yarn install
```

## installing the sample (manually. this updates package.json automatically.)

```bash	
    ``` install current release
    npm install bitfront-library --save
	
    ``` install previous release
    npm install bitfront-library@1.0.0 --save
```


## working with the repo

```bash
    git clone https://user@bitbucket.org/fundaciobitdesarrollo/bitfront-library.git
    cd bitfront-library
    yarn install
    yarn dev
```

## publishing a new version

Increase release number in the package.json

Recommended to manually remove the node_modules folder and install yarn install

```bash
    yarn dist
    cd dist
    npm publish
```

## changelog

## [1.1.2] - 2018-02-28
### Added
- Componente BitEditorComponent

## [1.1.1] - 2018-02-26
### Added
- @Input maxSelectedLabels en  BitSelectMultipleComponent

## [1.1.0] - 2018-02-21
### Added
- DeveloperLibraryModule: HQLComponent, UploadComponent, ExceptionListComponent, LogListComponent

## [1.0.6] - 2018-02-21
### Added
- DeveloperModule: Pruebas export componentes developer (HQLComponent, UploadComponent, etc). Cambio temporal.

## [1.0.5] - 2018-02-16
### Changed
- Cambio estilo toolbar: btn-group -> btn-inline

## [1.0.4] - 2018-02-07
### Changed
- BitNotificationFrontComponent se subscribe al observable de errores generales.

## [1.0.3] - 2018-02-05
### Changed
- Cambios gestion errores HttpUtilsService

## [1.0.2] - SIN RELEASE

## [1.0.1] - 2018-02-01
### Changed
- Cambios gestion errores HttpUtilsService: JSON.parse del error en try-catch

## [1.0.0] - 2018-01-29
### Added
- Commit inicial



